Host Datastore System Set Max Queue Depth

Host Datastore System Set Max Queue Depth
Set max queue depth for a specified NFS datastore.

Set max queue depth for a specified NFS datastore.

Since: vSphere API Release 8.0.0.1

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/SetMaxQueueDepth
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
SetMaxQueueDepthRequestType of type(s) application/json
Required

Show optional properties

{
    "datastore": {},
    "maxQdepth": 0
}
{
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "maxQdepth": 0
}
datastore
Required

The NFS datastore which need to set max queue depth

integer As int64 As int64
maxQdepth
Required

Max queue depth value for a datastore

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if the datastore could not be found.

InvalidArgument: if max queue depth is not within range.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}","maxQdepth":"integer"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/SetMaxQueueDepth